from pyblockworld import World
from wall import Wall
class WallWithDoor(Wall):
    __windowBlock:str
    def __init__(self, x:float, y:float, z:float, block:str, window:str, world:World, width:int=10, height:int=5, rotated:bool=False):
        super().__init__(x, y, z, block, world, width, height, rotated)
        self.__windowBlock = window

    def build(self):
        super().build()
        x = super().getX()
        y = super().getY() + 2
        z = super().getZ() / 2

        super().getWorld().setBlocks(
            x,
            y,
            z,
            x,
            y + 2,
            z,
            self.__windowBlock)
