from pyblockworld import World

import WallWithDoor
import wall
import WallWithWindow
import roof

# Nun werden beim Drücken der Taste ein paar Blöcke platziert.
def b_key_pressed(world: World):
    x, y, z = world.player_position()

    wall1 = wall.Wall(x=x, y=y, z=z, world=world, block="default:brick")
    wall2 = wall.Wall(x=x, y=y, z=z, world=world, rotated=True, block="default:brick")
    wall3 = WallWithWindow.WallWithWindow(x=x+10, y=y, z=z, block="default:brick", window="default:grass", world=world)
    roof1 = roof.Roof(x, y + 5, z, "default:brick", world)

    print("wall1 constructed")
    wall1.build()
    print("wall2 constructed")
    wall2.build()
    print("wall3 constructed")
    wall3.build()
    print("wall4 constructed")
    roof1.build()

world = World()
world.build_key_pressed = b_key_pressed
world.run()